summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Mylchreest <johnm@gentoo.org>2004-12-06 21:41:39 +0000
committerJohn Mylchreest <johnm@gentoo.org>2004-12-06 21:41:39 +0000
commitbcd646fe79074ca6a6420686795649a3dee3da15 (patch)
tree219f7440b578c2ea5caaba3f141172dbc490c669 /eclass/linux-mod.eclass
parentAnd actually removing the older ebuilds (Manifest recommit) (diff)
downloadgentoo-2-bcd646fe79074ca6a6420686795649a3dee3da15.tar.gz
gentoo-2-bcd646fe79074ca6a6420686795649a3dee3da15.tar.bz2
gentoo-2-bcd646fe79074ca6a6420686795649a3dee3da15.zip
Adding support for BUILD_TARGETS
Diffstat (limited to 'eclass/linux-mod.eclass')
-rw-r--r--eclass/linux-mod.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 83b1a9cd537a..bffb1205ea75 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.6 2004/12/06 18:33:11 johnm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/linux-mod.eclass,v 1.7 2004/12/06 21:41:39 johnm Exp $
# This eclass provides functions for compiling external kernel modules
# from source.
@@ -132,7 +132,7 @@ linux-mod_src_compile() {
einfo "Preparing ${modulename} module"
cd ${sourcedir}
emake clean || die Unable to make clean.
- emake ${BUILD_PARAMS} module || die Unable to make ${BUILD_PARAMS} module.
+ emake ${BUILD_PARAMS} ${BUILD_TARGETS:-module} || die Unable to make ${BUILD_PARAMS} module.
done
ARCH="${xarch}"
}